# HG changeset patch
# User Carnë Draug <carandraug@octave.org>
# Date 1470457114 -3600
#      Sat Aug 06 05:18:34 2016 +0100
# Node ID 1723063e65f3b7598f3e5a690f0e85025cca3eb0
# Parent  2b487dbe419d00f76274328cf0e688e5bafcc21b
dim-vector: add missing, and remove unecessary, #includes.

diff -r 2b487dbe419d -r 1723063e65f3 liboctave/array/dim-vector.cc
--- a/liboctave/array/dim-vector.cc	Sat Aug 06 04:15:07 2016 +0100
+++ b/liboctave/array/dim-vector.cc	Sat Aug 06 05:18:34 2016 +0100
@@ -25,7 +25,10 @@
 #  include "config.h"
 #endif
 
-#include <iostream>
+#include <sstream>
+#include <limits>
+#include <string>
+#include <new>
 
 #include "dim-vector.h"
 
diff -r 2b487dbe419d -r 1723063e65f3 liboctave/array/dim-vector.h
--- a/liboctave/array/dim-vector.h	Sat Aug 06 04:15:07 2016 +0100
+++ b/liboctave/array/dim-vector.h	Sat Aug 06 05:18:34 2016 +0100
@@ -27,9 +27,7 @@
 #include "octave-config.h"
 
 #include <cassert>
-#include <limits>
 
-#include <sstream>
 #include <string>
 
 #include "lo-error.h"
